- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IActiveControl
IBindable
ICache
ICacheDependency
ICallbackEventHandler
IDataRenderer
IModule
IRenderable
IService
IStatePersister
IStyleable
ITextWriter
IUser
Prado
PradoBase
TApplication
TApplicationComponent
TApplicationConfiguration
TApplicationMode
TApplicationStatePersister
TComponent
TComponentReflection
TDraggableConstraint
TDropContainerEventParameter
TEnumerable
TEventParameter
TModule
TPropertyValue
TReflectionClass
TService
TShellApplication

Keyword

# Class TDraggableConstraint

    TEnumerable
       |
       --TDraggableConstraint

TEnumerable class.

TEnumerable is the base class for all enumerable types. To define an enumerable type, extend TEnumberable and define string constants. Each constant represents an enumerable value. The constant name must be the same as the constant value. For example,

     class TTextAlign extends TEnumerable
     {
         const Left='Left';
         const Right='Right';
     }

Then, one can use the enumerable values such as TTextAlign::Left and TTextAlign::Right.
Author: Qiang Xue <qiang.xue@gmail.com>

Constant Summary
string | Horizontal |
string | None |
string | Vertical |

Constant Details

### Horizontal

#### Type:

string

#### Value:

'Horizontal'

### None

#### Type:

string

#### Value:

'None'

### Vertical

#### Type:

string

#### Value:

'Vertical'